function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO ActiveMatrix Adapter for PeopleSoft Documentation","5#39348");
C=B.fN("Other TIBCO Product Documentation","5#41681");
C=B.fN("Third-Party Documentation","5#41695");
B=A.fN("Typographical Conventions","6");
B=A.fN("Terminology and Acronyms","7");
B=A.fN("How to Contact TIBCO Support","8");
A=P.fN("Chapter\u00a01 Introduction","9");
B=A.fN("Overview","10");
A=P.fN("Chapter\u00a02 Preparing PeopleSoft","11");
B=A.fN("Overview","12");
B=A.fN("Preparing PeopleSoft Component Interfaces","13");
C=B.fN("Procedure","13#1896540");
C=B.fN("CI Publication Service","13#1896641");
B=A.fN("Preparing PeopleSoft Application Messages","14");
C=B.fN("Loading Gateway Connectors","14#1894712");
C=B.fN("Defining Messages","14#1894804");
C=B.fN("Defining Message Queues","14#1894821");
C=B.fN("Defining Services","14#1894824");
C=B.fN("Defining Service Operations","14#1894847");
C=B.fN("Defining Nodes","14#1894868");
C=B.fN("Defining Routings","14#1894913");
C=B.fN("Check Configurations","14#1894933");
C=B.fN("Configuration Procedure for Adapter Services","14#1894941");
A=P.fN("Chapter\u00a03 Working with TIBCO Business Studio","15");
B=A.fN("Starting TIBCO Business Studio","16");
B=A.fN("Creating Adapter Projects","17");
B=A.fN("Importing TIBCO Designer Adapter Projects","18");
C=B.fN("Differences in Imported TIBCO Designer Adapter Projects","18#1699776");
B=A.fN("Importing Projects into Workspace","19");
B=A.fN("Working with TIBCO ActiveMatrix BusinessWorks Service Engine","20");
C=B.fN("Creating an Adapter Project and Configuring an Adapter Instance","20#1863659");
C=B.fN("Creating an ActiveMatrix SOA Project","20#1878459");
C=B.fN("Creating a TIBCO Designer Project in TIBCO Business Studio","20#1863682");
C=B.fN("Generating a WSDL File","20#1872547");
C=B.fN("Adding and Configuring Composite Elements","20#1863708");
C=B.fN("Importing XSD files","20#1863746");
C=B.fN("Configuring the BusinessWorks process","20#1878640");
C=B.fN("Creating the Service Assembly","20#1863790");
A=P.fN("Chapter\u00a04 Getting Started","21");
B=A.fN("Prerequisites","22");
B=A.fN("Configuring an Adapter Service Engine Instance","23");
C=B.fN("Starting TIBCO Business Studio","23#1841466");
C=B.fN("Creating an Adapter Project","23#1717385");
C=B.fN("Creating and Configuring a PeopleSoft Connection","23#1823969");
C=B.fN("Importing PeopleSoft Business Objects","23#1833941");
C=B.fN("Creating a PeopleSoft Adapter Configuration","23#1838898");
C=B.fN("Adding and Configuring a PeopleSoft Adapter Service","23#1838928");
B=A.fN("Working with an ActiveMatrix SOA Project","24");
C=B.fN("Creating an ActiveMatrix SOA Project","24#1842888");
C=B.fN("Generating an Adapter WSDL","24#1845711");
C=B.fN("Creating a JMS or HTTP Server Shared Resource","24#1847324");
C=B.fN("Configuring a Composite","24#1848030");
C=B.fN("Creating a Service Assembly and a Service Assembly Archive","24#1848280");
B=A.fN("Deploying a Service Assembly Archive","25");
A=P.fN("Chapter\u00a05 Configuring an Adapter Service Engine Instance","26");
B=A.fN("PeopleSoft Connection Shared Resource","27");
C=B.fN("Creating a PeopleSoft Connection","27#1756985");
C=B.fN("Configuring a PeopleSoft Connection","27#1756991");
B=A.fN("PeopleSoft Business Object","28");
C=B.fN("Importing Business Objects","28#1757044");
C=B.fN("Converting Business Objects into AESchemas","28#1759215");
B=A.fN("PeopleSoft Adapter Configuration","29");
C=B.fN("Configuration","29#1718682");
C=B.fN("Adapter Options","29#1674748");
C=B.fN("Adapter Services","29#1728159");
C=B.fN("Log Sinks","29#1782186");
A=P.fN("Chapter\u00a06 Working with ActiveMatrix SOA Projects","30");
B=A.fN("Creating an ActiveMatrix SOA Project","31");
B=A.fN("Generating an Adapter WSDL","32");
B=A.fN("Creating a TIBCO Shared Resource","33");
C=B.fN("Configuring a TIBCO Shared Resource","33#1794519");
B=A.fN("Configuring Composites","34");
C=B.fN("Launching the Composite Editor","34#1742038");
C=B.fN("Creating a PeopleSoft Adapter Component","34#1789962");
C=B.fN("Adding a Shared Resource to a Composite","34#1802217");
C=B.fN("Creating a Composite Service","34#1802208");
B=A.fN("Creating a Service Assembly and a Service Assembly Archive","35");
A=P.fN("Chapter\u00a07 Deploying the Service Asembly Archive","36");
B=A.fN("Overview","37");
B=A.fN("Creating a Service Assembly Archive","38");
C=B.fN("For Adapter Projects Running in the Wired Mode","38#1806781");
C=B.fN("For Adapter Projects Running in the Unwire Mode (Using EAR2SA Tool)","38#1806742");
B=A.fN("Deploying a Service Assembly Archive","39");
C=B.fN("Uploading a Service Assembly Archive","39#1806015");
C=B.fN("Configuring the Service Assembly","39#1806027");
C=B.fN("Deploying the Service Assembly","39#1806053");
C=B.fN("Starting the Service Assembly","39#1806065");
A=P.fN("Chapter\u00a08 Advanced Topics","40");
B=A.fN("Managing Logs","41");
B=A.fN("Using the Adapter Service Engine with a Revision Control System","42");
B=A.fN("Using Substitution Variables","43");
C=B.fN("Variable Specification","43#1820940");
C=B.fN("Predefined Substitution Variables","43#1820972");
}
